# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) Python Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from ._models import AssistantMessage
from ._models import ChatChoice
from ._patch import ChatCompletions
from ._models import ChatCompletionsNamedToolChoice
from ._models import ChatCompletionsNamedToolChoiceFunction
from ._models import ChatCompletionsResponseFormat
from ._models import ChatCompletionsResponseFormatJSON
from ._models import ChatCompletionsResponseFormatText
from ._models import ChatCompletionsToolCall
from ._models import ChatCompletionsToolDefinition
from ._models import ChatRequestMessage
from ._models import ChatResponseMessage
from ._models import CompletionsUsage
from ._models import ContentItem
from ._models import EmbeddingInput
from ._models import EmbeddingItem
from ._patch import EmbeddingsResult
from ._models import EmbeddingsUsage
from ._models import FunctionCall
from ._models import FunctionDefinition
from ._models import ImageContentItem
from ._patch import ImageUrl
from ._models import ModelInfo
from ._models import StreamingChatChoiceUpdate
from ._models import StreamingChatCompletionsUpdate
from ._models import StreamingChatResponseMessageUpdate
from ._models import StreamingChatResponseToolCallUpdate
from ._models import SystemMessage
from ._models import TextContentItem
from ._models import ToolMessage
from ._models import UserMessage

from ._enums import ChatCompletionsToolChoicePreset
from ._enums import ChatRole
from ._enums import CompletionsFinishReason
from ._enums import EmbeddingEncodingFormat
from ._enums import EmbeddingInputType
from ._enums import ImageDetailLevel
from ._enums import ModelType

from ._patch import StreamingChatCompletions
from ._patch import AsyncStreamingChatCompletions
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "StreamingChatCompletions",
    "AsyncStreamingChatCompletions",
    "AssistantMessage",
    "ChatChoice",
    "ChatCompletions",
    "ChatCompletionsNamedToolChoice",
    "ChatCompletionsNamedToolChoiceFunction",
    "ChatCompletionsResponseFormat",
    "ChatCompletionsResponseFormatJSON",
    "ChatCompletionsResponseFormatText",
    "ChatCompletionsToolCall",
    "ChatCompletionsToolDefinition",
    "ChatRequestMessage",
    "ChatResponseMessage",
    "CompletionsUsage",
    "ContentItem",
    "EmbeddingInput",
    "EmbeddingItem",
    "EmbeddingsResult",
    "EmbeddingsUsage",
    "FunctionCall",
    "FunctionDefinition",
    "ImageContentItem",
    "ImageUrl",
    "ModelInfo",
    "StreamingChatChoiceUpdate",
    "StreamingChatCompletionsUpdate",
    "StreamingChatResponseMessageUpdate",
    "StreamingChatResponseToolCallUpdate",
    "SystemMessage",
    "TextContentItem",
    "ToolMessage",
    "UserMessage",
    "ChatCompletionsToolChoicePreset",
    "ChatRole",
    "CompletionsFinishReason",
    "EmbeddingEncodingFormat",
    "EmbeddingInputType",
    "ImageDetailLevel",
    "ModelType",
]

_patch_sdk()
