# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
import pytest
from azure.mgmt.appcontainers.aio import ContainerAppsAPIClient

from devtools_testutils import AzureMgmtRecordedTestCase, RandomNameResourceGroupPreparer
from devtools_testutils.aio import recorded_by_proxy_async

AZURE_LOCATION = "eastus"


@pytest.mark.skip("you may need to update the auto-generated test case before run it")
class TestContainerAppsAPIContainerAppsRevisionsOperationsAsync(AzureMgmtRecordedTestCase):
    def setup_method(self, method):
        self.client = self.create_mgmt_client(ContainerAppsAPIClient, is_async=True)

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_list_revisions(self, resource_group):
        response = self.client.container_apps_revisions.list_revisions(
            resource_group_name=resource_group.name,
            container_app_name="str",
            api_version="2024-08-02-preview",
        )
        result = [r async for r in response]
        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_get_revision(self, resource_group):
        response = await self.client.container_apps_revisions.get_revision(
            resource_group_name=resource_group.name,
            container_app_name="str",
            revision_name="str",
            api_version="2024-08-02-preview",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_activate_revision(self, resource_group):
        response = await self.client.container_apps_revisions.activate_revision(
            resource_group_name=resource_group.name,
            container_app_name="str",
            revision_name="str",
            api_version="2024-08-02-preview",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_deactivate_revision(self, resource_group):
        response = await self.client.container_apps_revisions.deactivate_revision(
            resource_group_name=resource_group.name,
            container_app_name="str",
            revision_name="str",
            api_version="2024-08-02-preview",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_restart_revision(self, resource_group):
        response = await self.client.container_apps_revisions.restart_revision(
            resource_group_name=resource_group.name,
            container_app_name="str",
            revision_name="str",
            api_version="2024-08-02-preview",
        )

        # please add some check logic here by yourself
        # ...
