# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from azure.identity import DefaultAzureCredential
from azure.mgmt.botservice import AzureBotService

"""
# PREREQUISITES
    pip install azure-identity
    pip install azure-mgmt-botservice
# USAGE
    python put_connection.py

    Before run the sample, please set the values of the client ID, tenant ID and client secret
    of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
    AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
    https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""


def main():
    client = AzureBotService(
        credential=DefaultAzureCredential(),
        subscription_id="subscription-id",
    )

    response = client.bot_connection.create(
        resource_group_name="OneResourceGroupName",
        resource_name="samplebotname",
        connection_name="sampleConnection",
        parameters={
            "etag": "etag1",
            "location": "West US",
            "properties": {
                "clientId": "sampleclientid",
                "clientSecret": "samplesecret",
                "parameters": [{"key": "key1", "value": "value1"}, {"key": "key2", "value": "value2"}],
                "scopes": "samplescope",
                "serviceProviderId": "serviceproviderid",
            },
        },
    )
    print(response)


# x-ms-original-file: specification/botservice/resource-manager/Microsoft.BotService/stable/2022-09-15/examples/PutConnection.json
if __name__ == "__main__":
    main()
