# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from azure.identity import DefaultAzureCredential

from azure.mgmt.devtestlabs import DevTestLabsClient

"""
# PREREQUISITES
    pip install azure-identity
    pip install azure-mgmt-devtestlabs
# USAGE
    python labs_create_environment.py

    Before run the sample, please set the values of the client ID, tenant ID and client secret
    of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
    AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
    https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""


def main():
    client = DevTestLabsClient(
        credential=DefaultAzureCredential(),
        subscription_id="{subscriptionId}",
    )

    client.labs.begin_create_environment(
        resource_group_name="resourceGroupName",
        name="{labName}",
        lab_virtual_machine_creation_parameter={
            "location": "{location}",
            "name": "{vmName}",
            "properties": {
                "allowClaim": True,
                "disallowPublicIpAddress": True,
                "galleryImageReference": {
                    "offer": "UbuntuServer",
                    "osType": "Linux",
                    "publisher": "Canonical",
                    "sku": "16.04-LTS",
                    "version": "Latest",
                },
                "labSubnetName": "{virtualnetwork-subnet-name}",
                "labVirtualNetworkId": "/subscriptions/{subscriptionId}/resourcegroups/resourceGroupName/providers/microsoft.devtestlab/labs/{labName}/virtualnetworks/{virtualNetworkName}",
                "password": "{userPassword}",
                "size": "Standard_A2_v2",
                "storageType": "Standard",
                "userName": "{userName}",
            },
            "tags": {"tagName1": "tagValue1"},
        },
    ).result()


# x-ms-original-file: specification/devtestlabs/resource-manager/Microsoft.DevTestLab/stable/2018-09-15/examples/Labs_CreateEnvironment.json
if __name__ == "__main__":
    main()
