# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
import pytest
from azure.mgmt.loganalytics.aio import LogAnalyticsManagementClient

from devtools_testutils import AzureMgmtRecordedTestCase, RandomNameResourceGroupPreparer
from devtools_testutils.aio import recorded_by_proxy_async

AZURE_LOCATION = "eastus"


@pytest.mark.skip("you may need to update the auto-generated test case before run it")
class TestLogAnalyticsManagementQueryPacksOperationsAsync(AzureMgmtRecordedTestCase):
    def setup_method(self, method):
        self.client = self.create_mgmt_client(LogAnalyticsManagementClient, is_async=True)

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_list(self, resource_group):
        response = self.client.query_packs.list(
            api_version="2019-09-01",
        )
        result = [r async for r in response]
        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_list_by_resource_group(self, resource_group):
        response = self.client.query_packs.list_by_resource_group(
            resource_group_name=resource_group.name,
            api_version="2019-09-01",
        )
        result = [r async for r in response]
        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_create_or_update_without_name(self, resource_group):
        response = await self.client.query_packs.create_or_update_without_name(
            resource_group_name=resource_group.name,
            log_analytics_query_pack_payload={
                "location": "str",
                "id": "str",
                "name": "str",
                "provisioningState": "str",
                "queryPackId": "str",
                "tags": {"str": "str"},
                "timeCreated": "2020-02-20 00:00:00",
                "timeModified": "2020-02-20 00:00:00",
                "type": "str",
            },
            api_version="2019-09-01",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_delete(self, resource_group):
        response = await self.client.query_packs.delete(
            resource_group_name=resource_group.name,
            query_pack_name="str",
            api_version="2019-09-01",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_get(self, resource_group):
        response = await self.client.query_packs.get(
            resource_group_name=resource_group.name,
            query_pack_name="str",
            api_version="2019-09-01",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_create_or_update(self, resource_group):
        response = await self.client.query_packs.create_or_update(
            resource_group_name=resource_group.name,
            query_pack_name="str",
            log_analytics_query_pack_payload={
                "location": "str",
                "id": "str",
                "name": "str",
                "provisioningState": "str",
                "queryPackId": "str",
                "tags": {"str": "str"},
                "timeCreated": "2020-02-20 00:00:00",
                "timeModified": "2020-02-20 00:00:00",
                "type": "str",
            },
            api_version="2019-09-01",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_update_tags(self, resource_group):
        response = await self.client.query_packs.update_tags(
            resource_group_name=resource_group.name,
            query_pack_name="str",
            query_pack_tags={"tags": {"str": "str"}},
            api_version="2019-09-01",
        )

        # please add some check logic here by yourself
        # ...
