# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from azure.identity import DefaultAzureCredential

from azure.mgmt.network import NetworkManagementClient

"""
# PREREQUISITES
    pip install azure-identity
    pip install azure-mgmt-network
# USAGE
    python inbound_security_rule_put.py

    Before run the sample, please set the values of the client ID, tenant ID and client secret
    of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
    AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
    https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""


def main():
    client = NetworkManagementClient(
        credential=DefaultAzureCredential(),
        subscription_id="subid",
    )

    response = client.inbound_security_rule.begin_create_or_update(
        resource_group_name="rg1",
        network_virtual_appliance_name="nva",
        rule_collection_name="rule1",
        parameters={
            "properties": {
                "ruleType": "Permanent",
                "rules": [
                    {
                        "appliesOn": ["slbip1"],
                        "destinationPortRange": 22,
                        "destinationPortRanges": ["80-100"],
                        "name": "inboundRule1",
                        "protocol": "TCP",
                        "sourceAddressPrefix": "50.20.121.5/32",
                    }
                ],
            }
        },
    ).result()
    print(response)


# x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2024-03-01/examples/InboundSecurityRulePut.json
if __name__ == "__main__":
    main()
