# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) Python Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
import pytest
from azure.mgmt.standbypool.aio import StandbyPoolMgmtClient

from devtools_testutils import AzureMgmtRecordedTestCase, RandomNameResourceGroupPreparer
from devtools_testutils.aio import recorded_by_proxy_async

AZURE_LOCATION = "eastus"


@pytest.mark.skip("you may need to update the auto-generated test case before run it")
class TestStandbyPoolMgmtStandbyVirtualMachinePoolsOperationsAsync(AzureMgmtRecordedTestCase):
    def setup_method(self, method):
        self.client = self.create_mgmt_client(StandbyPoolMgmtClient, is_async=True)

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_standby_virtual_machine_pools_get(self, resource_group):
        response = await self.client.standby_virtual_machine_pools.get(
            resource_group_name=resource_group.name,
            standby_virtual_machine_pool_name="str",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_standby_virtual_machine_pools_begin_create_or_update(self, resource_group):
        response = await (
            await self.client.standby_virtual_machine_pools.begin_create_or_update(
                resource_group_name=resource_group.name,
                standby_virtual_machine_pool_name="str",
                resource={
                    "location": "str",
                    "id": "str",
                    "name": "str",
                    "properties": {
                        "virtualMachineState": "str",
                        "attachedVirtualMachineScaleSetId": "str",
                        "elasticityProfile": {"maxReadyCapacity": 0, "minReadyCapacity": 0},
                        "provisioningState": "str",
                    },
                    "systemData": {
                        "createdAt": "2020-02-20 00:00:00",
                        "createdBy": "str",
                        "createdByType": "str",
                        "lastModifiedAt": "2020-02-20 00:00:00",
                        "lastModifiedBy": "str",
                        "lastModifiedByType": "str",
                    },
                    "tags": {"str": "str"},
                    "type": "str",
                },
            )
        ).result()  # call '.result()' to poll until service return final result

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_standby_virtual_machine_pools_begin_delete(self, resource_group):
        response = await (
            await self.client.standby_virtual_machine_pools.begin_delete(
                resource_group_name=resource_group.name,
                standby_virtual_machine_pool_name="str",
            )
        ).result()  # call '.result()' to poll until service return final result

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_standby_virtual_machine_pools_update(self, resource_group):
        response = await self.client.standby_virtual_machine_pools.update(
            resource_group_name=resource_group.name,
            standby_virtual_machine_pool_name="str",
            properties={
                "properties": {
                    "attachedVirtualMachineScaleSetId": "str",
                    "elasticityProfile": {"maxReadyCapacity": 0, "minReadyCapacity": 0},
                    "virtualMachineState": "str",
                },
                "tags": {"str": "str"},
            },
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_standby_virtual_machine_pools_list_by_resource_group(self, resource_group):
        response = self.client.standby_virtual_machine_pools.list_by_resource_group(
            resource_group_name=resource_group.name,
        )
        result = [r async for r in response]
        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy_async
    async def test_standby_virtual_machine_pools_list_by_subscription(self, resource_group):
        response = self.client.standby_virtual_machine_pools.list_by_subscription()
        result = [r async for r in response]
        # please add some check logic here by yourself
        # ...
