# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) Python Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
import pytest
from azure.mgmt.trustedsigning import TrustedSigningMgmtClient

from devtools_testutils import AzureMgmtRecordedTestCase, RandomNameResourceGroupPreparer, recorded_by_proxy

AZURE_LOCATION = "eastus"


@pytest.mark.skip("you may need to update the auto-generated test case before run it")
class TestTrustedSigningMgmtCodeSigningAccountsOperations(AzureMgmtRecordedTestCase):
    def setup_method(self, method):
        self.client = self.create_mgmt_client(TrustedSigningMgmtClient)

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_code_signing_accounts_get(self, resource_group):
        response = self.client.code_signing_accounts.get(
            resource_group_name=resource_group.name,
            account_name="str",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_code_signing_accounts_begin_create(self, resource_group):
        response = self.client.code_signing_accounts.begin_create(
            resource_group_name=resource_group.name,
            account_name="str",
            resource={
                "location": "str",
                "id": "str",
                "name": "str",
                "properties": {"accountUri": "str", "provisioningState": "str", "sku": {"name": "str"}},
                "systemData": {
                    "createdAt": "2020-02-20 00:00:00",
                    "createdBy": "str",
                    "createdByType": "str",
                    "lastModifiedAt": "2020-02-20 00:00:00",
                    "lastModifiedBy": "str",
                    "lastModifiedByType": "str",
                },
                "tags": {"str": "str"},
                "type": "str",
            },
        ).result()  # call '.result()' to poll until service return final result

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_code_signing_accounts_begin_update(self, resource_group):
        response = self.client.code_signing_accounts.begin_update(
            resource_group_name=resource_group.name,
            account_name="str",
            properties={"properties": {"sku": {"name": "str"}}, "tags": {"str": "str"}},
        ).result()  # call '.result()' to poll until service return final result

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_code_signing_accounts_begin_delete(self, resource_group):
        response = self.client.code_signing_accounts.begin_delete(
            resource_group_name=resource_group.name,
            account_name="str",
        ).result()  # call '.result()' to poll until service return final result

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_code_signing_accounts_list_by_resource_group(self, resource_group):
        response = self.client.code_signing_accounts.list_by_resource_group(
            resource_group_name=resource_group.name,
        )
        result = [r for r in response]
        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_code_signing_accounts_list_by_subscription(self, resource_group):
        response = self.client.code_signing_accounts.list_by_subscription()
        result = [r for r in response]
        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_code_signing_accounts_check_name_availability(self, resource_group):
        response = self.client.code_signing_accounts.check_name_availability(
            body={"name": "str"},
        )

        # please add some check logic here by yourself
        # ...
